<ion-content>
  <div class="ion-padding" *ngIf="cause">
    <img src="assets/icon/logo.png" class="logo" />
    <p>
      {{ cause["-info"] }}
    </p>
    <!-- <ion-button (click)="testHttp()" color="light">Light</ion-button> -->
    <div class="progress-div">
      <span class="target"
        >Target <br />
        {{ cause["-targetAmount"] | number }}</span
      >

      <div class="progress-indicators">
        <circle-progress
          class="outer-indicator"
          [percent]="(cause['-collectedAmount'] / cause['-targetAmount']) * 100"
          [radius]="85"
          [animation]="true"
          [animationDuration]="300"
        ></circle-progress>
        <circle-progress
          class="inner-indicator"
          [percent]="(cause['-collectedAmount'] / cause['-targetAmount']) * 100"
          [radius]="55"
          [animation]="true"
          [showTitle]="false"
          [showSubtitle]="false"
          [showUnits]="false"
          [animationDuration]="300"
          [innerStrokeWidth]="0"
          [outerStrokeColor]="'#555555'"
          [outerStrokeWidth]="8"
        ></circle-progress>
      </div>
      <span class="collected"
        >Collected <br />
        {{ cause["-collectedAmount"] | number }}</span
      >
    </div>

    <div class="action-btns">
      <ion-button (click)="sendMSG()" expand="block">
        Donate
        <ion-icon slot="end" name="heart"></ion-icon>
      </ion-button>

      <ion-row>
        <ion-button
          (click)="shareSocial('fb')"
          color="facebook"
          shape="round"
          class="ion-no-padding social"
        >
          <ion-icon name="logo-facebook"></ion-icon>
        </ion-button>

        <ion-button
          (click)="shareSocial('twitter')"
          color="twitter"
          shape="round"
          class="ion-no-padding social"
        >
          <ion-icon name="logo-twitter"></ion-icon>
        </ion-button>

        <ion-button
          (click)="shareSocial('any')"
          color="secondary"
          shape="round"
          class="ion-no-padding social"
        >
          <ion-icon name="share-alt"></ion-icon>
        </ion-button>
      </ion-row>
    </div>
  </div>
</ion-content>
